<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('ip_locks', function (Blueprint $table) {
            $table->id();
            $table->string('ip', 20)->unique()->comment('封锁的IP');
            $table->dateTime('end_time')->nullable()->comment('封禁结束时间');
            $table->tinyInteger('act_level')->unsigned()->default(1)->comment('封禁级别');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('ip_locks');
    }
};
